XnNodeNotifications Struct Reference

`#include <XnTypes.h>`

## Public Attributes

XnStatus(* | OnNodeAdded )(void *pCookie, const XnChar *strNodeName, XnProductionNodeType type, XnCodecID compression)
XnStatus(* | OnNodeRemoved )(void *pCookie, const XnChar *strNodeName)
XnStatus(* | OnNodeIntPropChanged )(void *pCookie, const XnChar *strNodeName, const XnChar *strPropName, XnUInt64 nValue)
XnStatus(* | OnNodeRealPropChanged )(void *pCookie, const XnChar *strNodeName, const XnChar *strPropName, XnDouble dValue)
XnStatus(* | OnNodeStringPropChanged )(void *pCookie, const XnChar *strNodeName, const XnChar *strPropName, const XnChar *strValue)
XnStatus(* | OnNodeGeneralPropChanged )(void *pCookie, const XnChar *strNodeName, const XnChar *strPropName, XnUInt32 nBufferSize, const void *pBuffer)
XnStatus(* | OnNodeStateReady )(void *pCookie, const XnChar *strNodeName)
XnStatus(* | OnNodeNewData )(void *pCookie, const XnChar *strNodeName, XnUInt64 nTimeStamp, XnUInt32 nFrame, const void *pData, XnUInt32 nSize)

## Detailed Description

An interface that is used for notifications about node events.

## Member Data Documentation

## OnNodeAdded

XnStatus(* XnNodeNotifications::OnNodeAdded) (void *pCookie, const XnChar *strNodeName, XnProductionNodeType type, XnCodecID compression)

Notifies the object that a production node was added

Parameters

  pCookie | [in] A cookie that was received with this interface.
  strNodeName | [in] The instance name of the added node.

## OnNodeGeneralPropChanged

XnStatus(* XnNodeNotifications::OnNodeGeneralPropChanged) (void *pCookie, const XnChar *strNodeName, const XnChar *strPropName, XnUInt32 nBufferSize, const void *pBuffer)

Notifies the object that a general type property has changed.

Parameters

  pCookie | [in] A cookie that was received with this interface.
  strNodeName | [in] The name of the node whose property changed.
  strPropName | [in] The name of the property that changed.
  nBufferSize | [in] The size of the buffer that holds the new value.
  pBuffer | [in] The buffer that holds the new value of the property.

## OnNodeIntPropChanged

XnStatus(* XnNodeNotifications::OnNodeIntPropChanged) (void *pCookie, const XnChar *strNodeName, const XnChar *strPropName, XnUInt64 nValue)

Notifies the object that an integer type property has changed.

Parameters

  pCookie | [in] A cookie that was received with this interface.
  strNodeName | [in] The name of the node whose property changed.
  strPropName | [in] The name of the property that changed.
  nValue | [in] The new value of the property.

## OnNodeNewData

XnStatus(* XnNodeNotifications::OnNodeNewData) (void *pCookie, const XnChar *strNodeName, XnUInt64 nTimeStamp, XnUInt32 nFrame, const void *pData, XnUInt32 nSize)

Notifies the object that it has received new data.

Parameters

  pCookie | [in] A cookie that was received with this interface.
  strNodeName | [in] The name of the node whose property changed.
  strName | [in] The name of the property that changed.
  nBufferSize | [in] The size of the buffer that holds the new value.
  pBuffer | [in] The buffer that holds the new value of the property.

## OnNodeRealPropChanged

XnStatus(* XnNodeNotifications::OnNodeRealPropChanged) (void *pCookie, const XnChar *strNodeName, const XnChar *strPropName, XnDouble dValue)

Notifies the object that a real type property has changed.

Parameters

  pCookie | [in] A cookie that was received with this interface.
  strNodeName | [in] The name of the node whose property changed.
  strPropName | [in] The name of the property that changed.
  dValue | [in] The new value of the property.

## OnNodeRemoved

XnStatus(* XnNodeNotifications::OnNodeRemoved) (void *pCookie, const XnChar *strNodeName)

Notifies the object that a production node has been removed

Parameters

  pCookie | [in] A cookie that was received with this interface.
  strNodeName | [in] The instance name of the removed node.

## OnNodeStateReady

XnStatus(* XnNodeNotifications::OnNodeStateReady) (void *pCookie, const XnChar *strNodeName)

Notifies the object that a node has finished sending all the initial 'property changed' notifications.

Parameters

  pCookie | [in] A cookie that was received with this interface.
  strNodeName | [in] The name of the node whose state is ready.

## OnNodeStringPropChanged

XnStatus(* XnNodeNotifications::OnNodeStringPropChanged) (void *pCookie, const XnChar *strNodeName, const XnChar *strPropName, const XnChar *strValue)

Notifies the object that a string type property has changed.

Parameters

  pCookie | [in] A cookie that was received with this interface.
  strNodeName | [in] The name of the node whose property changed.
  strPropName | [in] The name of the property that changed.
  strValue | [in] The new value of the property.

The documentation for this struct was generated from the following file:

- XnTypes.h